## ros-rolling-teleop-tools 1.2.1

=== debian/changelog ===
ros-rolling-teleop-tools (1.2.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 29 Oct 2020 00:00:00 -0000

ros-rolling-teleop-tools (1.2.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 16 Oct 2020 00:00:00 -0000

ros-rolling-teleop-tools (1.1.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 21 Apr 2020 00:00:00 -0000

ros-rolling-teleop-tools (1.0.2-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 10 Feb 2020 00:00:00 -0000

ros-rolling-teleop-tools (1.0.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 18 Sep 2019 00:00:00 -0000

ros-rolling-teleop-tools (1.0.0-1focal) focal; urgency=high

  * ROS2 port (#35 <https://github.com/ros-teleop/teleop_tools/issues/35>)
    * ROS2 port
    * key_teleop pkg format 3
    * port teleop_tools_msgs
    * key_teleop catch KeyboardInterrupt
    * port mouse_teleop
    * add key_teleop.yaml
    * prepare tests
    * add xmllint test
    * fix xmllint tests
    * simplify joy_teleop retrieve_config
    * remove useless class KeyTeleop
    * Fixes for dynamic topic joy publishers
    - match_command() now compares button array length to the max
    deadman button index (apples to apples)
    - match_command function now checks if any of the deadman buttons
    are depressed before returning a match
    - properly handle a std_msgs/msg/Empty 'message_value' by not
    attempting to access its value
    - utilizes iter-items to correctly index into the config dict
    for 'axis_mappings''s 'axis' and 'button' values
    - set_member() now splits according to a dash (-) rather than a
    periond (.) to be consistent with ros2 param parsing & example yaml
    - adds the correct name to setup.py for test_key_teleop.py test
    * reduce copy/pasta
  * Contributors: Jeremie Deray

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 10 Sep 2019 00:00:00 -0000

ros-rolling-teleop-tools (0.3.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Jan 2019 00:00:00 -0000

ros-rolling-teleop-tools (0.2.6-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 Apr 2018 00:00:00 -0000

ros-rolling-teleop-tools (0.2.5-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 Apr 2017 00:00:00 -0000

ros-rolling-teleop-tools (0.2.4-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 30 Nov 2016 00:00:00 -0000

ros-rolling-teleop-tools (0.2.3-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 18 Jul 2016 00:00:00 -0000

ros-rolling-teleop-tools (0.2.2-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 24 Mar 2016 00:00:00 -0000

ros-rolling-teleop-tools (0.2.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 29 Jan 2016 00:00:00 -0000

ros-rolling-teleop-tools (0.2.0-1focal) focal; urgency=high

  * Update package.xmls
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 03 Aug 2015 00:00:00 -0000

ros-rolling-teleop-tools (0.1.2-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 15 Feb 2015 00:00:00 -0000

ros-rolling-teleop-tools (0.1.1-1focal) focal; urgency=high

  * Change maintainer
  * Add key_teleop to metapackage
  * Add teleop_tools metapackage
  * Contributors: Bence Magyar, Paul Mathieu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Nov 2014 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-teleop-tools//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-teleop-tools 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(teleop_tools NONE)

find_package(ament_cmake REQUIRED)

ament_package()

=== debian/changelog ===
ros-rolling-teleop-tools (1.4.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Mar 2023 23:00:00 -0000

ros-rolling-teleop-tools (1.3.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Nov 2022 00:00:00 -0000

ros-rolling-teleop-tools (1.2.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 29 Oct 2020 00:00:00 -0000

ros-rolling-teleop-tools (1.2.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 15 Oct 2020 23:00:00 -0000

ros-rolling-teleop-tools (1.1.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 20 Apr 2020 23:00:00 -0000

ros-rolling-teleop-tools (1.0.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 10 Feb 2020 00:00:00 -0000

ros-rolling-teleop-tools (1.0.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 17 Sep 2019 23:00:00 -0000

ros-rolling-teleop-tools (1.0.0-1jammy) jammy; urgency=high

  * ROS2 port (#35 <https://github.com/ros-teleop/teleop_tools/issues/35>)
    * ROS2 port
    * key_teleop pkg format 3
    * port teleop_tools_msgs
    * key_teleop catch KeyboardInterrupt
    * port mouse_teleop
    * add key_teleop.yaml
    * prepare tests
    * add xmllint test
    * fix xmllint tests
    * simplify joy_teleop retrieve_config
    * remove useless class KeyTeleop
    * Fixes for dynamic topic joy publishers
    - match_command() now compares button array length to the max
    deadman button index (apples to apples)
    - match_command function now checks if any of the deadman buttons
    are depressed before returning a match
    - properly handle a std_msgs/msg/Empty 'message_value' by not
    attempting to access its value
    - utilizes iter-items to correctly index into the config dict
    for 'axis_mappings''s 'axis' and 'button' values
    - set_member() now splits according to a dash (-) rather than a
    periond (.) to be consistent with ros2 param parsing & example yaml
    - adds the correct name to setup.py for test_key_teleop.py test
    * reduce copy/pasta
  * Contributors: Jeremie Deray

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Sep 2019 23:00:00 -0000

ros-rolling-teleop-tools (0.3.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Jan 2019 00:00:00 -0000

ros-rolling-teleop-tools (0.2.6-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 05 Apr 2018 23:00:00 -0000

ros-rolling-teleop-tools (0.2.5-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Apr 2017 23:00:00 -0000

ros-rolling-teleop-tools (0.2.4-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 30 Nov 2016 00:00:00 -0000

ros-rolling-teleop-tools (0.2.3-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 17 Jul 2016 23:00:00 -0000

ros-rolling-teleop-tools (0.2.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 24 Mar 2016 00:00:00 -0000

ros-rolling-teleop-tools (0.2.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 29 Jan 2016 00:00:00 -0000

ros-rolling-teleop-tools (0.2.0-1jammy) jammy; urgency=high

  * Update package.xmls
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 02 Aug 2015 23:00:00 -0000

ros-rolling-teleop-tools (0.1.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 15 Feb 2015 00:00:00 -0000

ros-rolling-teleop-tools (0.1.1-1jammy) jammy; urgency=high

  * Change maintainer
  * Add key_teleop to metapackage
  * Add teleop_tools metapackage
  * Contributors: Bence Magyar, Paul Mathieu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Nov 2014 00:00:00 -0000

=== debian/control ===
Source: ros-rolling-teleop-tools
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-teleop-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-joy-teleop, ros-rolling-key-teleop, ros-rolling-teleop-tools-msgs, ros-rolling-ros-workspace
Description: A set of generic teleoperation tools for any robot.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
